---
inputType: "CA10Z1__CaAzurePostgreSqlServer__c"
importExtracts:
  - file: "/types/CA10Z1__CaAzurePostgreSqlServer__c/object.extracts.yaml"
testData:
  - file: 'test-data.json'
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in westus which is more expensive than westus3 or westus2."
    remediationMessage: "Consider migrating the Server to westus3 or westus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "westus"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in westcentralus which is more expensive than westus3 or westus2."
    remediationMessage: "Consider migrating the Server to westus3 or westus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "westcentralus"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in southcentralus which is more expensive than northcentralus, westus3 or westus2."
    remediationMessage: "Consider migrating the Server to northcentralus, westus3 or westus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "southcentralus"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in centralus which is more expensive than northcentralus, westus3 or westus2."
    remediationMessage: "Consider migrating the Server to northcentralus, westus3 or westus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "centralus"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in canadaeast which is more expensive than eastus or eastus2."
    remediationMessage: "Consider migrating the Server to eastus or eastus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "canadaeast"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in canadacentral which is more expensive than eastus or eastus2."
    remediationMessage: "Consider migrating the Server to eastus or eastus2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "canadacentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in ukwest which is more expensive than eu-west-1, eu-north-1, or eu-south-2."
    remediationMessage: "Consider migrating the Server to eu-west-1, eu-north-1, or eu-south-2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "ukwest"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in uksouth which is more expensive than eu-west-1, eu-north-1, or eu-south-2."
    remediationMessage: "Consider migrating the Server to eu-west-1, eu-north-1, or eu-south-2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "uksouth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in francecentral which is more expensive than eu-west-1, eu-north-1, or eu-south-2."
    remediationMessage: "Consider migrating the Server to eu-west-1, eu-north-1, or eu-south-2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "francecentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in francesouth which is more expensive than eu-west-1, eu-north-1, or eu-south-2."
    remediationMessage: "Consider migrating the Server to eu-west-1, eu-north-1, or eu-south-2."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "francesouth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in westeurope which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "westeurope"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in germanywestcentral which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "germanywestcentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in germanynorth which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "germanynorth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in switzerlandnorth which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "switzerlandnorth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in switzerlandwest which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "switzerlandwest"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in italynorth which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "italynorth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in polandcentral which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "polandcentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in norwayeast which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "norwayeast"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in norwaywest which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "norwaywest"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in swedensouth which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "swedensouth"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in spaincentral which is more expensive than swedencentral or northeurope."
    remediationMessage: "Consider migrating the Server to swedencentral or northeurope."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "spaincentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in westindia which is more expensive than centralindia or southindia."
    remediationMessage: "Consider migrating the Server to centralindia or southindia."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "westindia"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in australiacentral which is more expensive than australiasoutheast or australiaeast."
    remediationMessage: "Consider migrating the Server to australiasoutheast or australiaeast."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "australiacentral"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in australiacentral2 which is more expensive than australiasoutheast or australiaeast."
    remediationMessage: "Consider migrating the Server to australiasoutheast or australiaeast."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "australiacentral2"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in japaneast which is more expensive than koreasouth."
    remediationMessage: "Consider migrating the Server to koreasouth."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "japaneast"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in japanwest which is more expensive than koreasouth."
    remediationMessage: "Consider migrating the Server to koreasouth."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "japanwest"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Server is running in koreacentral which is more expensive than koreasouth."
    remediationMessage: "Consider migrating the Server to koreasouth."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10Z1__locationName__c
        right:
          TEXT: "koreacentral"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The Server is located in a cost-effective region."
